## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanListIteratorTraits Struct Template Reference

`#include <XalanList.hpp>`

List of all members.

## Public Types

- typedef Value value_type
- typedef Value& reference
- typedef Value* pointer

### template<class Value> struct XalanListIteratorTraits

## Member Typedef Documentation

template<class Value>
typedef Value * XalanListIteratorTraits<Value>::pointer

template<class Value>
typedef Value & XalanListIteratorTraits<Value>::reference

template<class Value>
typedef Value XalanListIteratorTraits<Value>::value_type

The documentation for this struct was generated from the following file:

- XalanList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.